%define         anolis_release 1

%global         datever 2023-03-01
%global         ver %(echo %{datever}|sed 's|-||g')

Name:           re2
Version:        %{ver}
Release:        %{anolis_release}%{?dist}
Summary:        a regular expression library

License:        BSD
URL:            http://github.com/google/re2/
Source0:        https://github.com/google/re2/archive/%{datever}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++

%description
RE2 is a software library for regular expressions via a finite-state
machine using automata theory, in contrast to almost all other regular
expression libraries, which use backtracking implementations.
It provides a C++ interface.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains development files for using %{name}.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{datever} -p1

%build
%cmake . \
    -DOVERRIDE_INSTALL_PREFIX=/usr \
    -DCMAKE_COLOR_MAKEFILE:BOOL=OFF \
    -DINSTALL_LIBDIR:PATH=%{_libdir} \
    "-GUnix Makefiles"

%cmake_build

%install
%cmake_install

rm -fv %{buildroot}%{_libdir}/libre2.a

%generate_compatibility_deps

%check
%make_build shared-test

%files
%license LICENSE
%{_libdir}/lib%{name}.so.*
%dir %{abidir}
%{abidir}/lib%{name}.dump

%files devel
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}/*

%files doc
%doc AUTHORS CONTRIBUTORS README

%changelog
* Sun Mar 26 2023 Feng Su <sufeng@linux.alibaba.com>  - 20230301-1
- package init from upstream
